プロジェクトのデプロイ
post
/ic/api/process/v1/targets/{targetId}
プロジェクトをデプロイし、デプロイ済のプロジェクト・バージョンを返します。
リクエスト
サポートされているメディア・タイプ
- multipart/form-data
- application/octet-stream
- application/zip
パス・パラメータ
- targetId(必須): string
ターゲットID許容値:
[ "ORACLEINTERNALPCS", "ORACLEINTERNALPCSPLAYER" ]
フォーム・パラメータ
- exp(required): file
デプロイするプロジェクト.expファイル
- restDeployConfig(required): string
レスポンス
サポートされているメディア・タイプ
- application/json
- application/xml;qs=0.9
200レスポンス
成功した操作
ルート・スキーマ : deployedProject
型:
object201レスポンス
成功。 プロジェクトは正常にデプロイされました。
401レスポンス
未認可
403レスポンス
権限が必要です。 ユーザーはプロジェクトをデプロイできません
500レスポンス
プロジェクトのデプロイ・エラー
例
次の例では、RESTリソースにPOSTリクエストを発行してプロジェクトをデプロイする方法を示します。
リクエストの送信
curl -X POST --header 'Content-Type: multipart/form-data' --header 'Accept: application/json' --header 'Authorization: Bearer access_token' -F 'restDeployConfig={"revisionId": "2.0", "overwrite": true, "forceDefault": true, "addMeToAllRoles": false}' -F 'exp=@Application.exp' 'http://example.oracle.com/ic/api/process/v1/targets/<targetId>'説明
-
example.comは、Oracle Integrationが実行されているホストです。 -
content-type:multipart/form-data -
<targetId>は、プロジェクトのデプロイメント・パーティション・ターゲットです。 許容値はORACLEINTERNALPCSで、このエンドポイントはORACLEINTERNALPCSPLAYERをサポートしていません。
レスポンス本文の例
{
"partition": "oracleinternalpcs",
"revisionId": "2.0",
"RunTimeLiveInfo": {
"state": "ON",
"mode": "ACTIVE"
},
"DesignTimeProjectReference": {
"spaceId": "NA",
"projectId": "callableapp"
},
"RunTimeDeployInfo": {
"deployTime": "2018-07-25,09:16:38 UTC",
"isDefault": true
},
"processDefIds": [
"oracleinternalpcs~callableapp!2.0~ProcessMessagereceive"
],
"links": [
{
"href": "http://example.com/ic/api/process/v1/targets/oracleinternalpcs/projects/callableapp/revisions/2.0",
"rel": "self"
},
{
"href": "http://example.com/ic/api/process/v1/targets/oracleinternalpcs/projects/callableapp/revisions/2.0",
"rel": "canonical"
},
{
"href": "http://example.com:/ic/api/process/v1/",
"rel": "parent"
}
]
}